using System;
using System.Collections.Generic;


namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Runtime.Serialization;


    [Table("Ref_KodSelesai")]
    public class KodSelesai
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int KodSelesaiID { get; set; }
        [StringLength(2)]
        public string KodSelesaiCode { get; set; }

        [StringLength(250)]
        public string KodSelesaiDesc { get; set; }

        public bool? IsAgentOption { get; set; }

        public bool? IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime LastUpdatedDateTime { get; set; }

        public int? CCCallResultID { get; set; }
        // public virtual ICollection<TindakanSusulan> TindakanSusulan { get; set; }

    }
}
